Download it now!
Bug 129175 - FILEOPEN XLSX 100 percent stacked area chart data labels appear as ratio
Summary: FILEOPEN XLSX 100 percent stacked area chart data labels appear as ratio
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords:
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2019-12-04 10:33 UTC by NISZ LibreOffice Team
Modified: 2020-03-16 09:52 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Excel (23.73 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2019-12-04 10:34 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Excel and Calc (133.99 KB, image/png)
2019-12-04 10:35 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-12-04 10:33:34 UTC
Description:
Attached file contains a simple 100 percent stacked area chart with data labels, and its 3D variation.
In Calc these labels appear as a ratio of the values instead of the values themselves like in Excel.
This does not happen with normal and stacked area chart types.


Steps to Reproduce:
1.	Open attached file

Actual Results:
Data labels appear as 0.33 and 0.67 instead of 2 and 4.

Expected Results:
Data labels formatted as values.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details:
Verzió: 6.5.0.0.alpha0+ (x64)
Build az.: 7e09d08807b5ba2fd8b9831557752a415bdad562
CPU szálak: 4; OS: Windows 6.3 Build 9600; Felületmegjelenítés: alapértelmezett; VCL: win; 
Területi beállítások: hu-HU (hu_HU); Felület nyelve: hu-HU
Calc: CL

Also happens in:
Verzió: 4.1.0.4
Build az.: 89ea49ddacd9aa532507cbf852f2bb22b1ace28
Comment 1 NISZ LibreOffice Team 2019-12-04 10:34:17 UTC
Created attachment 156287 [details]
Example file from Excel
Comment 2 NISZ LibreOffice Team 2019-12-04 10:35:05 UTC
Created attachment 156288 [details]
Screenshot of the original document side by side in Excel and Calc
Comment 3 Xisco Faulí 2019-12-04 16:19:49 UTC
Reproduced in

Version: 6.5.0.0.alpha0+
Build ID: 8f7010eb47119a2428b77f5d79fc8577d9914958
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 4 Durgapriyanka 2019-12-04 16:31:13 UTC
I can confirm the bug present in

Version: 6.4.0.0.alpha1+ (x86)
Build ID: ec7374ff84c71edfbb30d6e4dc5b486b6df7107f
CPU threads: 2; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-11-10_21:37:30
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
	

and in

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 5 Commit Notification 2019-12-16 07:59:41 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e57d90cd4e51a1353eafc87bb29cfe6076704a7c

tdf#129173 tdf#129175 Fix number format of data labels

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-12-17 10:33:24 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: f86824cca0c442d371379d2ea0bff2241f18ab3d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Balazs, thanks for fixing this issue!
Comment 7 Commit Notification 2019-12-17 10:35:37 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/9c1063ba13028244346528e307d5563d6faf949d

tdf#129173 tdf#129175 Fix number format of data labels

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-01-20 08:11:51 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/d979eb16b9144c7ed230d7b0a4d0c1474664d7d0

tdf#129173 tdf#129175 Fix number format of data labels

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-03-16 09:39:31 UTC
Xisco Faulí committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/2af4d304992d2a508e0d79cd855b93ca7559ebef

tdf#131291: Revert "tdf#129173 tdf#129175 Fix number format of data labels"

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.